Generate proxies
curl --request POST \
--url https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/private_basic/user/generate_proxies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "<string>",
"proxyAmount": 123,
"country": "<string>",
"state": "<string>",
"city": "<string>",
"isSticky": true,
"sessionDuration": 123
}
'import requests
url = "https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/private_basic/user/generate_proxies"
payload = {
"userId": "<string>",
"proxyAmount": 123,
"country": "<string>",
"state": "<string>",
"city": "<string>",
"isSticky": True,
"sessionDuration": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userId: '<string>',
proxyAmount: 123,
country: '<string>',
state: '<string>',
city: '<string>',
isSticky: true,
sessionDuration: 123
})
};
fetch('https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/private_basic/user/generate_proxies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
"<string>"
]{
"statusCode": 400,
"message": "User <username or user_id> does not exist",
"error": "Bad Request"
}{
"statusCode": 403,
"message": "reseller not found",
"error": "Bad Request"
}Private Basic
Generate proxies
Generates proxies for a sub-user by specifying the user ID and the number of proxies to generate. Returns the generated proxies.
POST
/
proxy_api
/
v1
/
private_basic
/
user
/
generate_proxies
Generate proxies
Authorizations
[just text field] Please enter token in following format: Bearer
Body
application/json
User Id
Number of proxies to generate
Country code
State
City
Sticky Session
Session Duration
Proxy Type
Available options:
http, socks5 Plan Type
Available options:
ip:port:user:pass, user:pass:ip:port, user:pass@ip:port, ip:port@user:pass Response
Proxies generated
⌘I

